apiVersion: apps/v1
kind: Deployment
metadata:
  name: simple-app-depl
  namespace: NAMESPACE
spec:
  replicas: 2
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 25%
  selector:
    matchLabels:
      app: simple-app-depl
  template:
    metadata:
      labels:
        app: simple-app-depl
    spec:
      containers:
      - image: vourteen14/simple-app:VERSION
        imagePullPolicy: Always
        name: simple-app-depl
        ports:
        - containerPort: 80
        readinessProbe:
          httpGet:
             path: /
             port: 80
          initialDelaySeconds: 5
          periodSeconds: 5
          successThreshold: 1
---
kind: Service
apiVersion: v1
metadata:
  name: simple-app-service
  namespace: NAMESPACE
spec:
  selector:
    app: simple-app-depl
  ports:
    - name: http
      protocol: TCP
      port: 80
      targetPort: 80
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: simple-app-ingress
  namespace: NAMESPACE
spec:
  ingressClassName: nginx
  tls:
  - secretName: karuhun-tls
    hosts:
      - SUBDOMAIN.karuhun.online
  rules:
  - host: "SUBDOMAIN.karuhun.online"
    http:
      paths:
      - pathType: Prefix
        path: "/"
        backend:
          service:
            name: simple-app-service
            port:
              number: 80